<template>
  <div class="col col-12 col-lg-6 item-game pb-4">
    <div class="position-relative">
      <div class="img-cover position-absolute d-flex align-items-center">
        <img src="@/assets/img/quizz_1.png" class="position-absolute top-0 start-0"/>
        <p class="fw-bold text-light ms-3 mb-0">Quiz Name</p>
        <button class="btn btn-primary border border-light rounded-pill text-light ms-auto me-2 px-3">Join</button>
      </div>
    </div>
  </div>
</template>

<script>
export default {};
</script>

<style scoped>
.item-game div {
  width: 100%;
  height: 136px;
  border-radius: 32px;
}
.item-game div:hover .img-cover {
  transition: all 0.5s ease;
  transform: translate(-50%, -50%) scale(1.05);
}
.item-game div:hover .img-cover button,
.item-game div:hover .img-cover p {
  transition: all .4s ease;
  opacity: 1;
}
.item-game .img-cover {
  width: 100%;
  height: 100%;
  border-radius: 32px;
  overflow: hidden;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
.img-cover img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: -1;
}
.img-cover button {
  background: transparent;
}
.img-cover button,
.img-cover p {
  opacity: 0;
}
</style>
